#include<bits/stdc++.h>
using namespace std;
double sumica(double m,double p[],long long n,long long a[])
{
    int i;
    double suma=0;
    for(i=1;i<=n;i++)
    {
        if(p[i]>=m) suma+=(m/100)*a[i];
    }
    return suma;
}
int main()
{

    long long n,a[100];
    int i;
    double p[100],sume[100];
    cin>>n;
    for(i=1;i<=n;i++) cin>>a[i]>>p[i];
    for(i=1;i<=n;i++)
    {
        sume[i]=sumica(p[i],p,n,a);
    }
    double maxa=sume[1];
    for(i=2;i<=n;i++)
    {
        if(sume[i]>maxa) maxa=sume[i];
    }
    cout<<maxa<<endl;
    return 0;
}